Bug 1716695 - Fix memory leaks that are present even after an xlator fini [client side xlator]
Summary: Fix memory leaks that are present even after an xlator fini [client side xlator]
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mohammed Rafi KC
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1730229
TreeView+ depends on / blocked
 
Reported: 2019-06-04 00:07 UTC by Mohammed Rafi KC
Modified: 2019-07-16 09:07 UTC (History)
2 users (show)

Fixed In Version: glusterfs-7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1730229 (view as bug list)
Environment:
Last Closed: 2019-07-05 08:01:07 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22806 None Open afr/fini: Free local_pool data during an afr fini 2019-06-17 07:06:10 UTC
Gluster.org Gerrit 22807 None Abandoned ec/fini: Free itable during an ec fini 2019-07-03 12:30:24 UTC
Gluster.org Gerrit 22808 None Abandoned client/fini: Free local_pool data during a client fini 2019-06-27 18:16:31 UTC
Gluster.org Gerrit 22904 None Open graph/shd: Use glusterfs_graph_deactivate to free the xl rec 2019-06-27 06:04:43 UTC
Gluster.org Gerrit 22968 None Open graph/shd: Use top down approach while cleaning xlator 2019-06-27 18:25:39 UTC

Description Mohammed Rafi KC 2019-06-04 00:07:30 UTC
Description of problem:

There are quite a few memory leaks identified for client side xlators.
1) xlators/cluster/afr/src/afr.c ---> this->local_pool is not freed
2) xlators/cluster/ec/src/ec.c  ----> this->itable is not freed
3) protocol/client/src/client.c ----> this->local_pool is not freed

I will add more to this list in case if I found any other leaks

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-06-04 00:19:02 UTC
REVIEW: https://review.gluster.org/22806 (afr/fini: Free local_pool data during an afr fini) posted (#1) for review on master by mohammed rafi  kc

Comment 2 Worker Ant 2019-06-04 00:20:15 UTC
REVIEW: https://review.gluster.org/22807 (ec/fini: Free itable during an ec fini) posted (#1) for review on master by mohammed rafi  kc

Comment 3 Worker Ant 2019-06-17 07:06:11 UTC
REVIEW: https://review.gluster.org/22806 (afr/fini: Free local_pool data during an afr fini) merged (#3) on master by Pranith Kumar Karampuri

Comment 4 Worker Ant 2019-06-20 08:38:02 UTC
REVIEW: https://review.gluster.org/22904 (graph/shd: Use glusterfs_graph_deactivate to free the xl rec) posted (#1) for review on master by mohammed rafi  kc

Comment 5 Worker Ant 2019-06-27 06:04:44 UTC
REVIEW: https://review.gluster.org/22904 (graph/shd: Use glusterfs_graph_deactivate to free the xl rec) merged (#8) on master by Pranith Kumar Karampuri

Comment 6 Worker Ant 2019-06-27 13:53:18 UTC
REVIEW: https://review.gluster.org/22968 (graph/shd: Use top down approach while cleaning xlator) posted (#1) for review on master by mohammed rafi  kc

Comment 7 Worker Ant 2019-06-27 18:25:41 UTC
REVIEW: https://review.gluster.org/22968 (graph/shd: Use top down approach while cleaning xlator) merged (#3) on master by mohammed rafi  kc


Note You need to log in before you can comment on or make changes to this bug.